Fax
All operations require authentication.
List Freefax line accountsProduction
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ freefax \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get the credit balance and the remaining pages available for all our freefaxProduction
Response
The number of equivalement remaining french faxs
Total balance available in points
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ freefax/ credits \
-H "authorization: Bearer $OVH_TOKEN"{ "faxs": 0, "points": 0}
Get Freefax informationProduction
Path parameters
Service name
Response
Number of tries when sending a fax
123456789Available quality for fax documents
besthighnormalCustomised freefax header
FROM email header
Name of the sender of the email
IAM resource metadata
Phone number
Email address to redirect fax response.
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ freefax/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "faxMaxCall": 1, "faxQuality": "best", "faxTagLine": "string", "fromEmail": "string", "fromName": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "number": "string", "redirectionEmail": [ "string" ]}
Edit the Freefax propertiesProduction
Path parameters
Service name
Request body (required)
Number of max tentative of fax sending
123456789Quality of fax sending
besthighnormalCustomised freefax header
FROM email header
Name of the sender of the email
Freefax number in international format
Email address to redirect fax response.
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ freefax/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"Generates a new password for your fax accountProduction
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ freefax/ {serviceName}/ changePassword \
-H "authorization: Bearer $OVH_TOKEN""string"
Get Freefax directory informationProduction
Path parameters
Service name
Response
All genders a person can choose
femalemaleExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ freefax/ {serviceName}/ directory \
-H "authorization: Bearer $OVH_TOKEN"{ "address": "string", "addressExtra": "string", "ape": "string", "areaCode": 0, "birthDate": "2024-01-01", "cedex": "string", "city": "string", "country": "string", "directoryServiceCode": "string", "displayFirstName": true, "displayMarketingDirectory": true, "displayOnlyCity": true, "displaySearchReverse": true, "displayUniversalDirectory": true, "email": "string", "firstName": "string", "gender": "female", "inseeCode": 0, "legalForm": "string", "lineDescription": "string", "modificationDate": "string", "modificationType": "string", "name": "string", "number": "string", "occupation": "string", "postBox": "string", "postCode": "string", "siret": "string", "socialNomination": "string", "socialNominationExtra": "string", "status": "string", "urbanDistrict": "string", "wayName": "string", "wayNumber": "string", "wayNumberExtra": "string", "wayType": "string"}
Edit Freefax directory informationProduction
Path parameters
Service name
Request body (required)
All genders a person can choose
femalemaleResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ freefax/ {serviceName}/ directory \
-H "authorization: Bearer $OVH_TOKEN"Get enterprise information by providing enterprise numberProduction
Path parameters
Service name
Request body (required)
Entreprise number to fetch information from
Response
Informations about the enterprise
Task status
doingdoneerrorpausetodoExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ freefax/ {serviceName}/ directory/ fetchEntrepriseInformations \
-H "authorization: Bearer $OVH_TOKEN"{ "informations": { "address": "string", "ape": "string", "brand": "string", "entrepriseNumber": "string", "isValid": true, "name": "string", "siren": "string" }, "status": "doing"}
Get directory service code from an APE code (principal activity of the firm code)Production
Path parameters
Service name
Query parameters
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ freefax/ {serviceName}/ directory/ getDirectoryServiceCode \
-H "authorization: Bearer $OVH_TOKEN"[ { "apeCode": "string", "apeDescription": "string", "directoryServiceCode": 0, "directoryServiceDescription": "string", "notification": "string" }]
Get all the way types availableProduction
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ freefax/ {serviceName}/ directory/ getWayTypes \
-H "authorization: Bearer $OVH_TOKEN"[ { "abbreviatedName": "string", "wayName": "string" }]
Get main service attached to the FreefaxProduction
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ freefax/ {serviceName}/ mainService \
-H "authorization: Bearer $OVH_TOKEN""string"
Get service informationProduction
Path parameters
Service name
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ freefax/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Update service informationProduction
Path parameters
Service name
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ freefax/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"Get the Freefax voicemail informationProduction
Path parameters
Service name
Response
Name of the voicemail panel announce file
Format of the voicemail audio file attached to emails
aiffauflacmp3oggwavDon't allow callers to leave voicemails
Force password request to access the voicemail panel
Email address from which emails will be sent
Name from which emails will be sent
Sound ID of the long greeeting
Type of the greeting to play
defaultfullshortCurrent voicemail version
Don't delete voicemails after they've been sent by email
Email addresses to notify when a new voicemail is left
Sound ID of the short greeting played before an automated message
Play the temporary greeting instead of the regular one
Sound ID of the temporary greeeting
Quantity of unread voicemails
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ freefax/ {serviceName}/ voicemail \
-H "authorization: Bearer $OVH_TOKEN"{ "annouceMessage": "string", "audioFormat": "aiff", "doNotRecord": true, "forcePassword": true, "fromEmail": "string", "fromName": "string", "fullGreetingSoundId": 0, "greetingType": "default", "isNewVersion": true, "keepMessage": true, "redirectionEmails": [ { "email": "string", "type": "attachment" } ], "shortGreetingSoundId": 0, "temporaryGreetingActivated": true, "temporaryGreetingSoundId": 0, "unreadMessages": 0}
Edit the Freefax voicemailProduction
Path parameters
Service name
Request body (required)
Name of the voicemail panel announce file
Format of the voicemail audio file attached to emails
aiffauflacmp3oggwavDon't allow callers to leave voicemails
Force password request to access the voicemail panel
Email address from which emails will be sent
Name from which emails will be sent
Sound ID of the long greeeting
Type of the greeting to play
defaultfullshortCurrent voicemail version
Don't delete voicemails after they've been sent by email
Email addresses to notify when a new voicemail is left
Sound ID of the short greeting played before an automated message
Play the temporary greeting instead of the regular one
Sound ID of the temporary greeeting
Quantity of unread voicemails
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ freefax/ {serviceName}/ voicemail \
-H "authorization: Bearer $OVH_TOKEN"Change the voicemail password. It must be 4 digitProduction
Path parameters
Service name
Request body (required)
The password
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ freefax/ {serviceName}/ voicemail/ changePassword \
-H "authorization: Bearer $OVH_TOKEN"Disable/Enable voicemail. Available only if the line has fax capabilitiesProduction
Path parameters
Service name
Request body (required)
All existing type of routing for a voicemail
faxvoicemailResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ freefax/ {serviceName}/ voicemail/ changeRouting \
-H "authorization: Bearer $OVH_TOKEN"Get the status of the voicemail. Available only if the line has fax capabilitiesProduction
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ freefax/ {serviceName}/ voicemail/ routing \
-H "authorization: Bearer $OVH_TOKEN""fax"
Get number for internal and external voicemailProduction
Path parameters
Service name
Response
The external voicemail number
The internal voicemail number
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ freefax/ {serviceName}/ voicemail/ voicemailNumbers \
-H "authorization: Bearer $OVH_TOKEN"{ "external": "string", "internal": "string"}